Bug 192745 - [maintainer update] lang/basic256 to 1.1.3.0
Summary: [maintainer update] lang/basic256 to 1.1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-17 16:22 UTC by Fernando Apesteguía
Modified: 2014-08-24 18:14 UTC (History)
2 users (show)

See Also:


Attachments
Patch to the ports tree (35.95 KB, patch)
2014-08-17 16:22 UTC, Fernando Apesteguía
no flags Details | Diff
Poudriere log on 9.2 amd64 (80.39 KB, text/plain)
2014-08-19 16:07 UTC, Fernando Apesteguía
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2014-08-17 16:22:14 UTC
Created attachment 145928 [details]
Patch to the ports tree

Update lang/basic256 to 1.1.3.0.

In addition, I added the LICENSE variable to the Makefile.

Note: Unlike other times, I don't provide the redports log file, since there seems to be some kind of problem and a lot of ports show just "finished" build status. See:

https://www.mail-archive.com/freebsd-ports@freebsd.org/msg60366.html
Comment 1 John Marino freebsd_committer 2014-08-17 18:46:15 UTC
Do you have any possibility to install and use poudriere locally by the way?

I'll move to patch-ready but I'd gladly take a single poudriere log over 8x "finished" redport status.
Comment 2 Fernando Apesteguía freebsd_committer 2014-08-17 21:11:09 UTC
(In reply to John Marino from comment #1)
> Do you have any possibility to install and use poudriere locally by the way?
> 
> I'll move to patch-ready but I'd gladly take a single poudriere log over 8x
> "finished" redport status.

I understand. I will set up a poudriere jail as soon as possible, but in my machine, it will take time to build qt at least for the first time...
Comment 3 Fernando Apesteguía freebsd_committer 2014-08-19 16:07:36 UTC
Created attachment 146040 [details]
Poudriere log on 9.2 amd64
Comment 4 Fernando Apesteguía freebsd_committer 2014-08-19 16:08:32 UTC
(In reply to fernando.apesteguia from comment #3)
> Created attachment 146040 [details]
> Poudriere log on 9.2 amd64

Added poudriere log.
Comment 5 John Marino freebsd_committer 2014-08-19 16:10:13 UTC
thanks, looks good!
Comment 6 commit-hook freebsd_committer 2014-08-24 17:00:09 UTC
A commit references this bug:

Author: riggs
Date: Sun Aug 24 16:59:21 UTC 2014
New revision: 365967
URL: http://svnweb.freebsd.org/changeset/ports/365967

Log:
  - Update to upstream version 1.1.3.0
  - Add LICENSE

  PR:		192745
  Submitted by:	fernando.apesteguia@gmail.com (maintainer)
  Approved by:	mentors (implicit)

Changes:
  head/lang/basic256/Makefile
  head/lang/basic256/distinfo
  head/lang/basic256/pkg-plist
Comment 7 Thomas Zander freebsd_committer 2014-08-24 17:02:56 UTC
Committed, thanks!

Just a tiny remark: When PORTVERSION increases in an update, you can remove PORTREVISION.
Comment 8 Fernando Apesteguía freebsd_committer 2014-08-24 18:14:40 UTC
(In reply to Thomas Zander from comment #7)
> Committed, thanks!
> 
> Just a tiny remark: When PORTVERSION increases in an update, you can remove
> PORTREVISION.

I'll keep that in mind.

Thanks!